DatatypeElementFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.datatype
Class DatatypeElementFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.datatype.DatatypeElementFactory

All Implemented Interfaces:
  Serializable

public class DatatypeElementFactory
extends DocumentFactory

`DatatypeElementFactory` is a factory for a specific Element in an XML Schema.

Version:
  $Revision: 1.9 $
Author:
  James Strachan , Yuxin Ruan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`DatatypeElementFactory(QName elementQName)`

Method Summary
`Attribute` | `createAttribute(Element owner, QName qname, String value)`
`Element` | `createElement(QName qname)`
`com.sun.msv.datatype.xsd.XSDatatype` | `getAttributeXSDatatype(QName attributeQName)` DOCUMENT ME!
`com.sun.msv.datatype.xsd.XSDatatype` | `getChildElementXSDatatype(QName qname)` DOCUMENT ME!
`QName` | `getQName()` DOCUMENT ME!
`void` | `setAttributeXSDatatype(QName attributeQName, com.sun.msv.datatype.xsd.XSDatatype type)` Registers the given `XSDatatype` for the given <attribute> QNames
`void` | `setChildElementXSDatatype(QName qname, com.sun.msv.datatype.xsd.XSDatatype dataType)`

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getInstance, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatatypeElementFactory

    public DatatypeElementFactory(QName elementQName)

Method Detail

### getQName

    public QName getQName()

  DOCUMENT ME!

  Returns:
    the QName this element factory is associated with

### getAttributeXSDatatype

    public com.sun.msv.datatype.xsd.XSDatatype getAttributeXSDatatype(QName attributeQName)

  DOCUMENT ME!

  Parameters:
    `attributeQName` - DOCUMENT ME!
  Returns:
    the `XSDatatype` associated with the given Attribute QName

### setAttributeXSDatatype

    public void setAttributeXSDatatype(QName attributeQName,
                                       com.sun.msv.datatype.xsd.XSDatatype type)

  Registers the given `XSDatatype` for the given <attribute> QNames

  Parameters:
    `attributeQName` - DOCUMENT ME!
    `type` - DOCUMENT ME!

### getChildElementXSDatatype

    public com.sun.msv.datatype.xsd.XSDatatype getChildElementXSDatatype(QName qname)

  DOCUMENT ME!

  Parameters:
    `qname` - DOCUMENT ME!
  Returns:
    the `XSDatatype` associated with the given child Element QName

### setChildElementXSDatatype

    public void setChildElementXSDatatype(QName qname,
                                          com.sun.msv.datatype.xsd.XSDatatype dataType)

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

  Overrides:
    `createAttribute` in class `DocumentFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.